# $Id$

CC 		= gcc
CFLAGS		= -Os -Wall
LDFLAGS		= -s

SYSCONFDIR	= /etc
LIBDIR		= /lib
SBINDIR		= /sbin
RCDIR		= $(SYSCONFDIR)/rc.d
INITDIR		= $(RCDIR)/init.d
SYSTEMDDIR	= $(LIBDIR)/systemd
UNITSDIR	= $(SYSTEMDDIR)/system

general:
	install -d -m 0755 $(DESTDIR)$(SYSCONFDIR)
	for file in etc/*; do install -m 0644 $${file} $(DESTDIR)$(SYSCONFDIR)/; done
	# fix shadow permissions
	if [ -f $(DESTDIR)/$(SYSCONFDIR)/shadow ];then chmod 0400 $(DESTDIR)$(SYSCONFDIR)/shadow; fi

	install -d -m 0755 $(DESTDIR)$(SYSCONFDIR)/conf.d
	for file in conf.d/*; do install -m 0644 $${file} $(DESTDIR)$(SYSCONFDIR)/conf.d/; done

	install -d -m 0755 $(DESTDIR)$(SYSCONFDIR)/modprobe.d
	for file in modprobe.d/*; do install -m 0644 $${file} $(DESTDIR)$(SYSCONFDIR)/modprobe.d/; done

	install -d -m 0755 $(DESTDIR)$(SBINDIR)
	for file in sbin/*; do install -m 0755 $${file} $(DESTDIR)$(SBINDIR); done

	# fix mageversion
	echo "$$(date +%Y%m%d)-cvs" > $(DESTDIR)$(SYSCONFDIR)/mageversion
	# fix system-release
	echo "Magellan-linux release $$(date +%Y%m%d)-cvs (NEXT)" > $(DESTDIR)$(SYSCONFDIR)/system-release

.PHONY: general
